=== debian/changelog ===
fsl (4.1.9-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Really replaced tcl8.4 and tk8.4 by tcl and tk in the package dependencies
    (Closes: #737187).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 Mar 2014 21:03:23 +0400

fsl (4.1.9-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced tcl8.4 and tk8.4 by tcl and tk in the package dependencies
    (Closes: #737187).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 31 Jan 2014 22:19:04 +0400

fsl (4.1.9-7) unstable; urgency=low

  * Stop regenerating tclIndex during postinst. This is no longer necessary
    since libfslio and its TCL scripts are built from the FSL source package
    -- which is since 4.1.1 or four years (Closes: #689166).

 -- Michael Hanke <mih@debian.org>  Thu, 06 Sep 2012 09:10:33 +0200

fsl (4.1.9-6) unstable; urgency=low

  * Declare a conflict to pre-4.1.9-5 fsl4.1-doc packages. Otherwise,
    upgrades might fail due to duplicate files .

 -- Michael Hanke <mih@debian.org>  Fri, 08 Jun 2012 07:54:20 +0200

fsl (4.1.9-5) unstable; urgency=low

  * Bugfix release.
  * Bumped Standard version to 3.9.3 -- no changes necessary.
  * Adjustments for Octave transition: changed dependencies in debian/control,
    make call to octave-depends conditional upon its presence to allow for
    easy backports (Closes: #674426)
  * Move fsl.css from -doc into the main package to prevent error message due
    to failed access to this file when the -doc package is not installed.
    (Closes: #675195)

 -- Michael Hanke <mih@debian.org>  Fri, 01 Jun 2012 10:35:16 +0200

fsl (4.1.9-4) unstable; urgency=low

  * Actually do the changes listed for 4.1.9-3. They needed to be implemented
    in the template files.

 -- Michael Hanke <mih@debian.org>  Sat, 17 Mar 2012 10:23:23 +0100

fsl (4.1.9-3) unstable; urgency=low

  * Relax dependency of fsl-doc on fslview-doc to recommends. FSLView is
    no longer available in unstable.

 -- Michael Hanke <mih@debian.org>  Sat, 14 Jan 2012 11:26:18 +0100

fsl (4.1.9-2) unstable; urgency=low

  * Added patch to prevent MATLAB scripts from failing because MATLAB
    redefines LD_LIBRARY_PATH. Courtesy of Duncan Mortimer.
  * Added initial support for using Condor for cluster support instead of
    SGE (FSLPARALLEL=condor).

 -- Michael Hanke <mih@debian.org>  Fri, 16 Dec 2011 19:24:00 +0100

fsl (4.1.9-1) unstable; urgency=low

  * New upstream relase. Merged patches (gdc_bugfix, missing_newline,
    gcc_compat).
  * Make fslview recommended (instead of depend), as it is currently not
    available for post-squeeze systems, due to VTK5-Qt3 dependency.
  * Remove brace expansion in debhelper install file (reported by lintian).

 -- Michael Hanke <mih@debian.org>  Mon, 24 Oct 2011 15:06:03 +0200
