=== debian/changelog ===
fsl (5.0.2-4~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 21 Jan 2013 14:31:12 -0500

fsl (5.0.2-4) UNRELEASED; urgency=low

  * Removed left-over debug statement that broke fsl_sub again.

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jan 2012 15:26:26 +0100

fsl (5.0.2-3) UNRELEASED; urgency=low

  * Modifications of fsl_sub behavior and configuration:
    - Add a configuration option to fsl.sh (FSLCLUSTER_DEFAULT_QUEUE) to
      specify a default queue for job submissions. This can be used to amend
      the default queue selection by resource demands.
    - Fix a bug in the Debian patch where job submission fails when fsl_sub is
      called without -q.
    - Fix a bug to actually honor the FSLCUSTER_MAILOPTS variable when set.
    - Restructure and minimize the upstream diff in fsl_sub to make it less
      likely to break again with future upstream changes.

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jan 2012 15:26:26 +0100

fsl (5.0.2-2) UNRELEASED; urgency=low

  * Fix 'imglob' script (courtesy of Matthew Webster) that caused FEAT
    highlevel analyses to fail.
  * Enable OpenMP support for 'eddy' component.
  * Explicitly mention FSL data packages in package description and explain
    where they can be obtained.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Dec 2012 17:02:36 +0100

fsl (5.0.2-1) UNRELEASED; urgency=low

  * New upstream bugfix release.
  * Updated patch for for new fsl_sub code.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Dec 2012 17:02:36 +0100

fsl (5.0.1-1) UNRELEASED; urgency=low

  * New upstream bugfix release. It fixes some critical issues with FEAT
    (was crashing) and post-hoc output timecourses in MELODIC.
  * Stop regenerating tclIndex during postinst. This is no longer necessary
    since libfslio and its TCL scripts are built from the FSL source package
    -- which is since 4.1.1 or four years (Closes: #689166).

 -- Michael Hanke <mih@debian.org>  Thu, 06 Sep 2012 09:10:33 +0200

fsl (5.0.0-1) UNRELEASED; urgency=low

  * New upstream major release. Various new tools, bugfixes and speed
    improvements, as well as new wiki-based documentation.
  * Enable compilation and installation of previously missing and new
    components (Closes: #685486).
  * Added build-dependency on libglu1-mesa-dev and mesa-common-dev for
    fslsurface, as well as libexpatexpat-dev for other new code.

 -- Michael Hanke <mih@debian.org>  Thu, 06 Sep 2012 09:10:33 +0200
