=== debian/control ===
--- 
+++ 
@@ -3,12 +3,22 @@
 Priority: optional
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1.2.2),
- libboost-dev (>= 1.32.0), libpng12-dev (>= 1.2.8rel),
- libgd2-noxpm-dev (>= 2.0.33) | libgd2-xpm-dev (>= 2.0.33), libnewmat10-dev,
- libgdchart-gd2-noxpm-dev | libgdchart-gd2-xpm-dev,
- liboctave-dev | octave3.2-headers | octave3.0-headers, tcl,
- imagemagick, libnifti-dev (>> 1.1.0-1)
+Build-Depends: debhelper (>= 7),
+               zlib1g-dev (>= 1.2.2),
+               libboost-dev (>= 1.32.0),
+               libpng12-dev (>= 1.2.8rel),
+               libgd2-noxpm-dev (>= 2.0.33) | libgd2-xpm-dev (>= 2.0.33),
+               libnewmat10-dev,
+               libgdchart-gd2-noxpm-dev | libgdchart-gd2-xpm-dev,
+               liboctave-dev | octave3.2-headers | octave3.0-headers,
+               tcl8.4 (>=8.4.7),
+               imagemagick,
+               libnifti-dev (>> 1.1.0-1),
+               libgiftiio-dev,
+               mesa-common-dev,
+               libexpat1-dev | libexpat-dev,
+               libglu1-mesa-dev | libglu-dev,
+               libgomp1
 Standards-Version: 3.9.3
 Homepage: http://www.fmrib.ox.ac.uk/fsl/
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fsl.git
@@ -18,8 +28,9 @@
 
 Package: fsl
 Architecture: all
-Depends: ${misc:Depends}, fsl-4.1 (>= 4.1.6-4~)
-Description: Metapackage for the latest version of FSL
+Depends: ${misc:Depends},
+         fsl-5.0
+Description: metapackage for the latest version of FSL
  FSL is a comprehensive library of image analysis and statistical tools
  for fMRI, MRI and DTI brain imaging data. The suite consists of various
  command line tools, as well as simple GUIs for its core analysis pipelines.
@@ -27,12 +38,28 @@
  white matter tractography, tissue segmentation, affine and non-linear
  co-registration, and independent component analysis.
 
-Package: fsl-4.1
+Package: fsl-5.0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mozilla-firefox | www-browser, tcsh | c-shell, tk, tcl, bc, dc
-Recommends: fsl-doc-4.1 (= ${source:Version}), fsl-atlases, fslview
-Suggests: fsl-feeds, octave | ${octave:Depends}, dicomnifti, fsl-possum-data, fsl-first-data, gridengine-client
-Conflicts: fsl-fslview, fsl-doc-4.1 (<< 4.1.9-5~)
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         mozilla-firefox | www-browser,
+         tcsh | c-shell,
+         tk8.4 (>=8.4.7),
+         tcl8.4 (>=8.4.7),
+         bc,
+         dc,
+         python
+Recommends: fsl-doc-5.0 (= ${source:Version}),
+            fsl-atlases,
+            fslview
+Suggests: fsl-feeds,
+          octave | ${octave:Depends},
+          dicomnifti,
+          fsl-possum-data,
+          fsl-first-data,
+          gridengine-client
+Conflicts: fsl-fslview,
+           fsl-doc-4.1 (<< 4.1.9-5~)
 Description: analysis tools for FMRI, MRI and DTI brain imaging
  FSL is a comprehensive library of image analysis and statistical tools
  for fMRI, MRI and DTI brain imaging data. The suite consists of various
@@ -41,11 +68,16 @@
  white matter tractography, tissue segmentation, affine and non-linear
  co-registration, and independent component analysis.
  .
+ Some FSL components require additional data packages (fsl-atlases,
+ fsl-first-data, fsl-possum-data) that are currently available from the
+ NeuroDebian repository only. For more information on how to obtain these
+ data packages visit http://neuro.debian.net.
+ .
  FSL interoperates well with other brain imaging related software. This includes
  Caret, FreeSurfer (cortical flattening and modelling). All FSL tools support
  the NIfTI format.
 
-Package: fsl-doc-4.1
+Package: fsl-doc-5.0
 Section: non-free/doc
 Architecture: all
 Depends: ${misc:Depends}
